# JavaDebugOptions

interface JavaDebugOptions

Contains a subset of the Java Debug Wire Protocol properties.

#### Since

5.6

## Functions

getEnabled
Link copied to clipboard
@Input
abstract fun getEnabled(): Property<Boolean>
Should the debug agent start in the forked process?
getHost
Link copied to clipboard
@Incubating
@Optional
@Input
abstract fun getHost(): Property<String>
Host address to listen on or connect to when debug is enabled.
getPort
Link copied to clipboard
@Input
abstract fun getPort(): Property<Integer>
The debug port to listen on or connect to.
getServer
Link copied to clipboard
@Input
abstract fun getServer(): Property<Boolean>
Should the process listen for a debugger to attach (server) or immediately connect to an already running debugger (client)?
getSuspend
Link copied to clipboard
@Input
abstract fun getSuspend(): Property<Boolean>
Should the process suspend until the connection to the debugger is established?